Bug 1263465 - ImportError: /lib/libnghttp2.so.14: file too short
ImportError: /lib/libnghttp2.so.14: file too short
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 16:52 EDT by Mikhail
Modified: 2017-01-19 10:38 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-12 08:10:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2015-09-15 16:52:31 EDT
Description of problem:
# dnf update
Traceback (most recent call last):
  File "/usr/bin/dnf", line 34, in <module>
    from dnf.cli import main
  File "/usr/lib/python3.4/site-packages/dnf/__init__.py", line 31, in <module>
    import dnf.base
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 26, in <module>
    from dnf.comps import CompsQuery
  File "/usr/lib/python3.4/site-packages/dnf/comps.py", line 29, in <module>
    import dnf.util
  File "/usr/lib/python3.4/site-packages/dnf/util.py", line 31, in <module>
    import librepo
  File "/usr/lib/python3.4/site-packages/librepo/__init__.py", line 1001, in <module>
    import librepo._librepo
ImportError: /lib/libnghttp2.so.14: file too short
Comment 1 Honza Silhan 2015-09-21 05:24:14 EDT
It looks like packaging problem or wrongly installed package.

Can you post output of: `ls -l /lib/libnghttp2.so.14` and try "yum-deprecated reinstall nghttp" and run dnf again, please?
Comment 2 Kamil Dudka 2015-09-21 05:59:11 EDT
Please provide the output of:

    rpm -q libnghttp2

... and:

    rpm -V libnghttp2
Comment 3 Mikhail 2015-09-21 08:18:28 EDT
[mikhail@localhost ~]$ ls -l /lib/libnghttp2.so.14
lrwxrwxrwx. 1 root root 20 Sep 14 16:27 /lib/libnghttp2.so.14 -> libnghttp2.so.14.1.1
[mikhail@localhost ~]$ rpm -q libnghttp2
libnghttp2-1.2.1-1.fc23.i686
libnghttp2-1.3.1-1.fc23.i686
[mikhail@localhost ~]$ rpm -V libnghttp2
....L....    /usr/lib/libnghttp2.so.14
S.5......    /usr/lib/libnghttp2.so.14.1.1
[mikhail@localhost ~]$ 


Main problem, that dnf couldn't finish interrupted transactions.
Comment 4 Mikhail 2015-09-21 08:20:33 EDT
I even couldn't able remove duplicate packages:


# dnf remove $(dnf repoquery --duplicated --latest-limit -1 -q | grep -vF kernel)
Traceback (most recent call last):
  File "/usr/bin/dnf", line 34, in <module>
    from dnf.cli import main
  File "/usr/lib/python3.4/site-packages/dnf/__init__.py", line 31, in <module>
    import dnf.base
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 26, in <module>
    from dnf.comps import CompsQuery
  File "/usr/lib/python3.4/site-packages/dnf/comps.py", line 29, in <module>
    import dnf.util
  File "/usr/lib/python3.4/site-packages/dnf/util.py", line 31, in <module>
    import librepo
  File "/usr/lib/python3.4/site-packages/librepo/__init__.py", line 1001, in <module>
    import librepo._librepo
ImportError: /lib/libnghttp2.so.14: file too short
Traceback (most recent call last):
  File "/usr/bin/dnf", line 34, in <module>
    from dnf.cli import main
  File "/usr/lib/python3.4/site-packages/dnf/__init__.py", line 31, in <module>
    import dnf.base
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 26, in <module>
    from dnf.comps import CompsQuery
  File "/usr/lib/python3.4/site-packages/dnf/comps.py", line 29, in <module>
    import dnf.util
  File "/usr/lib/python3.4/site-packages/dnf/util.py", line 31, in <module>
    import librepo
  File "/usr/lib/python3.4/site-packages/librepo/__init__.py", line 1001, in <module>
    import librepo._librepo
ImportError: /lib/libnghttp2.so.14: file too short
Comment 5 Kamil Dudka 2015-09-21 08:46:53 EDT
(In reply to Mikhail from comment #3)
> [mikhail@localhost ~]$ rpm -V libnghttp2
> ....L....    /usr/lib/libnghttp2.so.14
> S.5......    /usr/lib/libnghttp2.so.14.1.1

This ^^^ means that the contents of /usr/lib/libnghttp2.so.14.1.1 does not match the file that should have been installed by the libnghttp2 package.  It is not a problem with the genuine contents of the libnghttp2 package.

I am switching the component back to dnf.  I guess the actual cause was the dnf attempted to import pycurl while the libnghttp2 shared library was being written to the file system.  This resulted in unhandled excpetion, which terminated the dnf process unexpectedly and left the system in an inconsistent state (without any chance to recover by a subsequent run of dnf).

Anyway, you should be able to make dnf run again on your system by:

$ sudo rpm -i --force https://kojipkgs.fedoraproject.org//packages/nghttp2/1.3.1/1.fc23/x86_64/libnghttp2-1.3.1-1.fc23.x86_64.rpm
Comment 6 Michal Luscon 2015-09-30 04:30:50 EDT
Please make sure that you have no duplicates installed. Are you able to provide  a summary of transaction which caused this issue ("dnf history" if it was dnf)?
Comment 7 Mikhail 2015-09-30 05:50:28 EDT
[root@localhost ~]# rpm -e libnghttp2-1.2.1-1.fc23.i686
/sbin/ldconfig: File /lib/libbluetooth.so.3 is empty, not checked.
/sbin/ldconfig: File /lib/libnghttp2.so.14.1.1 is empty, not checked.
/sbin/ldconfig: File /lib/libbluetooth.so.3.18.7 is empty, not checked.
/sbin/ldconfig: File /lib/libnghttp2.so.14 is empty, not checked.
[root@localhost ~]# rpm -e libnghttp2-1.2.1-1.fc23.i686
error: package libnghttp2-1.2.1-1.fc23.i686 is not installed
[root@localhost ~]# dnf history
Traceback (most recent call last):
  File "/usr/bin/dnf", line 34, in <module>
    from dnf.cli import main
  File "/usr/lib/python3.4/site-packages/dnf/__init__.py", line 31, in <module>
    import dnf.base
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 26, in <module>
    from dnf.comps import CompsQuery
  File "/usr/lib/python3.4/site-packages/dnf/comps.py", line 29, in <module>
    import dnf.util
  File "/usr/lib/python3.4/site-packages/dnf/util.py", line 31, in <module>
    import librepo
  File "/usr/lib/python3.4/site-packages/librepo/__init__.py", line 1001, in <module>
    import librepo._librepo
ImportError: /lib/libnghttp2.so.14: file too short
Comment 8 Mikhail 2015-09-30 05:52:10 EDT
[root@localhost ~]# rpm -V libnghttp2
S.5......    /usr/lib/libnghttp2.so.14.1.1
Comment 9 Kamil Dudka 2015-10-01 02:38:02 EDT
Mikhail, did you try the command suggested in comment #5?

If you have an i686 system, you need to use a different URL though:

$ sudo rpm -i --force https://kojipkgs.fedoraproject.org//packages/nghttp2/1.3.1/1.fc23/i686/libnghttp2-1.3.1-1.fc23.i686.rpm

I believe it will make your dnf work again...
Comment 10 Mikhail 2015-10-01 03:03:44 EDT
# rpm -i --force https://kojipkgs.fedoraproject.org//packages/nghttp2/1.3.1/1.fc23/i686/libnghttp2-1.3.1-1.fc23.i686.rpm
/usr/bin/curl: error while loading shared libraries: /lib/libnghttp2.so.14: file too short
error: skipping https://kojipkgs.fedoraproject.org//packages/nghttp2/1.3.1/1.fc23/i686/libnghttp2-1.3.1-1.fc23.i686.rpm - transfer failed
Comment 11 Mikhail 2015-10-01 03:05:32 EDT
[root@localhost ~]# wget https://kojipkgs.fedoraproject.org//packages/nghttp2/1.3.1/1.fc23/i686/libnghttp2-1.3.1-1.fc23.i686.rpm
--2015-10-01 12:04:07--  https://kojipkgs.fedoraproject.org//packages/nghttp2/1.3.1/1.fc23/i686/libnghttp2-1.3.1-1.fc23.i686.rpm
Resolving kojipkgs.fedoraproject.org (kojipkgs.fedoraproject.org)... 209.132.181.10
Connecting to kojipkgs.fedoraproject.org (kojipkgs.fedoraproject.org)|209.132.181.10|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 69194 (68K) [application/x-rpm]
Saving to: ‘libnghttp2-1.3.1-1.fc23.i686.rpm’

libnghttp2-1.3.1-1.fc23.i686.rpm      100%[=========================================================================>]  67.57K  99.1KB/s   in 0.7s   

2015-10-01 12:04:14 (99.1 KB/s) - ‘libnghttp2-1.3.1-1.fc23.i686.rpm’ saved [69194/69194]

[root@localhost ~]# rpm -i --force libnghttp2-1.3.1-1.fc23.i686.rpm 
/sbin/ldconfig: File /lib/libbluetooth.so.3.18.7 is empty, not checked.
[root@localhost ~]# dnf history
Last metadata expiration check performed 15 days, 14:21:38 ago on Tue Sep 15 21:43:09 2015.
ID     | Command line             | Date a | Action | Altere
-------------------------------------------------------------------------------
    29 |                          | 2015-09-15 21:41 | I, U           |  103 **
    28 |                          | 2015-09-11 16:36 | Install        |    6  <
    27 |                          | 2015-09-11 16:27 | Install        |   24 > 
    26 |                          | 2015-09-11 16:13 | Reinstall      |    1   
    25 |                          | 2015-09-11 16:12 | Reinstall      |    1   
    24 |                          | 2015-09-11 15:56 | Erase          |  360   
    23 |                          | 2015-09-10 15:39 | I, U           |   26   
    22 |                          | 2015-09-10 15:35 | Reinstall      |    1   
    21 |                          | 2015-09-10 15:25 | Update         |    4   
    20 |                          | 2015-09-10 15:25 | Update         |    1 E<
    19 |                          | 2015-09-08 17:03 | E, U           |    3 > 
    18 |                          | 2015-09-08 14:12 | Erase          |    1   
    17 |                          | 2015-09-08 14:11 | Reinstall      |    3   
    16 |                          | 2015-09-08 13:57 | Install        |    2 EE
    15 |                          | 2015-09-08 13:56 | Install        |  120   
    14 |                          | 2015-09-08 13:53 | I, U           |   52   
    13 |                          | 2015-09-08 13:36 | I, U           |  102 *<
    12 |                          | 2015-09-05 01:17 | Install        |    2 > 
    11 |                          | 2015-09-05 01:16 | Install        |    2   
    10 |                          | 2015-09-05 01:06 | Install        |   39   
     9 |                          | 2015-09-05 00:30 | Install        |    1   
     8 |                          | 2015-09-05 00:29 | Install        |    9   
     7 |                          | 2015-09-05 00:27 | Install        |   36 EE
     6 |                          | 2015-09-04 23:20 | E, U           |   76   
     5 |                          | 2015-09-04 15:03 | Reinstall      |    2  <
     4 |                          | 2015-09-04 14:42 | I, O, U        |   40 > 
     3 |                          | 2015-09-04 12:10 | I, O, U        |  439 **
     2 |                          | 2015-09-04 12:03 | I, O, U        |  457 *<
     1 |                          | 2015-09-04 11:48 | Install        |    3 > 
[root@localhost ~]#
Comment 12 Mikhail 2015-10-01 05:09:45 EDT
# dnf repoquery --duplicated
Last metadata expiration check performed 1:25:58 ago on Thu Oct  1 12:42:58 2015.
GeoIP-GeoLite-data-0:2015.08-1.fc23.noarch
GeoIP-GeoLite-data-0:2015.09-1.fc23.noarch
NetworkManager-1:1.0.6-2.fc23.i686
NetworkManager-1:1.0.6-6.fc23.i686
NetworkManager-adsl-1:1.0.6-2.fc23.i686
NetworkManager-adsl-1:1.0.6-6.fc23.i686
NetworkManager-bluetooth-1:1.0.6-2.fc23.i686
NetworkManager-bluetooth-1:1.0.6-6.fc23.i686
NetworkManager-glib-1:1.0.6-2.fc23.i686
NetworkManager-glib-1:1.0.6-6.fc23.i686
NetworkManager-libnm-1:1.0.6-2.fc23.i686
NetworkManager-libnm-1:1.0.6-6.fc23.i686
NetworkManager-team-1:1.0.6-2.fc23.i686
NetworkManager-team-1:1.0.6-6.fc23.i686
NetworkManager-wifi-1:1.0.6-2.fc23.i686
NetworkManager-wifi-1:1.0.6-6.fc23.i686
NetworkManager-wwan-1:1.0.6-2.fc23.i686
NetworkManager-wwan-1:1.0.6-6.fc23.i686
PackageKit-0:1.0.10-1.fc23.i686
PackageKit-0:1.0.8-3.fc23.i686
PackageKit-cached-metadata-0:1.0.10-1.fc23.i686
PackageKit-cached-metadata-0:1.0.8-3.fc23.i686
PackageKit-command-not-found-0:1.0.10-1.fc23.i686
PackageKit-command-not-found-0:1.0.8-3.fc23.i686
PackageKit-glib-0:1.0.10-1.fc23.i686
PackageKit-glib-0:1.0.8-3.fc23.i686
PackageKit-gstreamer-plugin-0:1.0.10-1.fc23.i686
PackageKit-gstreamer-plugin-0:1.0.8-3.fc23.i686
PackageKit-gtk3-module-0:1.0.10-1.fc23.i686
PackageKit-gtk3-module-0:1.0.8-3.fc23.i686
SDL2-0:2.0.3-6.fc23.i686
SDL2-0:2.0.3-7.fc23.i686
abattis-cantarell-fonts-0:0.0.16-3.fc23.noarch
abattis-cantarell-fonts-0:0.0.16-4.fc23.noarch
abrt-0:2.6.2-6.fc23.i686
abrt-0:2.6.2-7.fc23.i686
abrt-addon-coredump-helper-0:2.6.2-6.fc23.i686
abrt-addon-coredump-helper-0:2.6.2-7.fc23.i686
abrt-addon-kerneloops-0:2.6.2-6.fc23.i686
abrt-addon-kerneloops-0:2.6.2-7.fc23.i686
abrt-addon-pstoreoops-0:2.6.2-6.fc23.i686
abrt-addon-pstoreoops-0:2.6.2-7.fc23.i686
abrt-addon-python3-0:2.6.2-6.fc23.i686
abrt-addon-python3-0:2.6.2-7.fc23.i686
abrt-addon-vmcore-0:2.6.2-6.fc23.i686
abrt-addon-vmcore-0:2.6.2-7.fc23.i686
abrt-addon-xorg-0:2.6.2-6.fc23.i686
abrt-addon-xorg-0:2.6.2-7.fc23.i686
abrt-dbus-0:2.6.2-6.fc23.i686
abrt-dbus-0:2.6.2-7.fc23.i686
abrt-gui-libs-0:2.6.2-6.fc23.i686
abrt-gui-libs-0:2.6.2-7.fc23.i686
abrt-libs-0:2.6.2-6.fc23.i686
abrt-libs-0:2.6.2-7.fc23.i686
abrt-plugin-bodhi-0:2.6.2-6.fc23.i686
abrt-plugin-bodhi-0:2.6.2-7.fc23.i686
abrt-python3-0:2.6.2-6.fc23.i686
abrt-python3-0:2.6.2-7.fc23.i686
abrt-retrace-client-0:2.6.2-6.fc23.i686
abrt-retrace-client-0:2.6.2-7.fc23.i686
abrt-tui-0:2.6.2-6.fc23.i686
abrt-tui-0:2.6.2-7.fc23.i686
acpica-tools-0:20150717-1.fc23.i686
acpica-tools-0:20150818-2.fc23.i686
adwaita-cursor-theme-0:3.17.4-1.fc23.noarch
adwaita-cursor-theme-0:3.18.0-1.fc23.noarch
adwaita-gtk2-theme-0:3.16.2-2.fc23.i686
adwaita-gtk2-theme-0:3.18.0-1.fc23.i686
adwaita-icon-theme-0:3.17.4-1.fc23.noarch
adwaita-icon-theme-0:3.18.0-1.fc23.noarch
anaconda-0:23.19.3-1.fc23.i686
anaconda-0:23.19.5-1.fc23.i686
anaconda-core-0:23.19.3-1.fc23.i686
anaconda-core-0:23.19.5-1.fc23.i686
anaconda-gui-0:23.19.3-1.fc23.i686
anaconda-gui-0:23.19.5-1.fc23.i686
anaconda-tui-0:23.19.3-1.fc23.i686
anaconda-tui-0:23.19.5-1.fc23.i686
anaconda-widgets-0:23.19.3-1.fc23.i686
anaconda-widgets-0:23.19.5-1.fc23.i686
at-spi2-atk-0:2.17.90-1.fc23.i686
at-spi2-atk-0:2.18.0-1.fc23.i686
at-spi2-core-0:2.17.90-1.fc23.i686
at-spi2-core-0:2.18.0-1.fc23.i686
atk-0:2.17.90-1.fc23.i686
atk-0:2.18.0-1.fc23.i686
atkmm-0:2.23.1-1.fc23.i686
atkmm-0:2.24.1-1.fc23.i686
attr-0:2.4.47-12.fc23.i686
attr-0:2.4.47-14.fc23.i686
audit-0:2.4.3-1.fc23.i686
audit-0:2.4.4-2.fc23.i686
audit-libs-0:2.4.3-1.fc23.i686
audit-libs-0:2.4.4-2.fc23.i686
audit-libs-devel-0:2.4.3-1.fc23.i686
audit-libs-devel-0:2.4.4-2.fc23.i686
audit-libs-python-0:2.4.3-1.fc23.i686
audit-libs-python-0:2.4.4-2.fc23.i686
audit-libs-python3-0:2.4.3-1.fc23.i686
audit-libs-python3-0:2.4.4-2.fc23.i686
avahi-0:0.6.31-37.fc23.i686
avahi-0:0.6.31-43.fc23.i686
avahi-autoipd-0:0.6.31-37.fc23.i686
avahi-autoipd-0:0.6.31-43.fc23.i686
avahi-glib-0:0.6.31-37.fc23.i686
avahi-glib-0:0.6.31-43.fc23.i686
avahi-gobject-0:0.6.31-37.fc23.i686
avahi-gobject-0:0.6.31-43.fc23.i686
avahi-libs-0:0.6.31-37.fc23.i686
avahi-libs-0:0.6.31-43.fc23.i686
baobab-0:3.16.1-2.fc23.i686
baobab-0:3.18.0-1.fc23.i686
bind-libs-32:9.10.3-0.1.rc1.fc23.i686
bind-libs-32:9.10.3-1.fc23.i686
bind-libs-lite-32:9.10.3-0.1.rc1.fc23.i686
bind-libs-lite-32:9.10.3-1.fc23.i686
bind-license-32:9.10.3-0.1.rc1.fc23.noarch
bind-license-32:9.10.3-1.fc23.noarch
bind-utils-32:9.10.3-0.1.rc1.fc23.i686
bind-utils-32:9.10.3-1.fc23.i686
binutils-0:2.25-13.fc23.i686
binutils-0:2.25-14.fc23.i686
binutils-devel-0:2.25-13.fc23.i686
binutils-devel-0:2.25-14.fc23.i686
blivet-data-1:1.12.2-1.fc23.noarch
blivet-data-1:1.12.3-1.fc23.noarch
blivet-data-1:1.12.5-1.fc23.noarch
bluez-0:5.33-1.fc23.i686
bluez-0:5.34-1.fc23.i686
bluez-cups-0:5.33-1.fc23.i686
bluez-cups-0:5.34-1.fc23.i686
bluez-libs-0:5.33-1.fc23.i686
bluez-libs-0:5.34-1.fc23.i686
btrfs-progs-0:4.2-1.fc23.i686
btrfs-progs-0:4.2.1-1.fc23.i686
bzip2-0:1.0.6-16.fc23.i686
bzip2-0:1.0.6-17.fc23.i686
bzip2-libs-0:1.0.6-16.fc23.i686
bzip2-libs-0:1.0.6-17.fc23.i686
cairomm-0:1.10.0-12.fc23.i686
cairomm-0:1.12.0-1.fc23.i686
cheese-libs-2:3.17.91-1.fc23.i686
cheese-libs-2:3.18.0-1.fc23.i686
clutter-0:1.23.6-1.fc23.i686
clutter-0:1.24.0-1.fc23.i686
clutter-gtk-0:1.6.2-1.fc23.i686
clutter-gtk-0:1.6.4-1.fc23.i686
cogl-0:1.21.2-2.fc23.i686
cogl-0:1.22.0-1.fc23.i686
control-center-1:3.17.90-1.fc23.i686
control-center-1:3.18.0-1.fc23.i686
control-center-filesystem-1:3.17.90-1.fc23.i686
control-center-filesystem-1:3.18.0-1.fc23.i686
coreutils-0:8.24-2.fc23.i686
coreutils-0:8.24-4.fc23.i686
crda-0:3.18_2015.04.06-2.fc23.i686
crda-0:3.18_2015.04.06-3.fc23.i686
cryptsetup-0:1.6.7-2.fc23.i686
cryptsetup-0:1.6.8-2.fc23.i686
cryptsetup-libs-0:1.6.7-2.fc23.i686
cryptsetup-libs-0:1.6.8-2.fc23.i686
curl-0:7.43.0-3.fc23.i686
curl-0:7.43.0-4.fc23.i686
dconf-editor-0:3.17.91-1.fc23.i686
dconf-editor-0:3.18.0-1.fc23.i686
devassistant-0:0.11.1-4.fc23.noarch
devassistant-0:0.11.2-1.fc23.noarch
devassistant-cli-0:0.11.1-4.fc23.noarch
devassistant-cli-0:0.11.2-1.fc23.noarch
devassistant-core-0:0.11.1-4.fc23.noarch
devassistant-core-0:0.11.2-1.fc23.noarch
devassistant-gui-0:0.11.1-4.fc23.noarch
devassistant-gui-0:0.11.2-1.fc23.noarch
device-mapper-0:1.02.102-2.fc23.i686
device-mapper-0:1.02.107-1.fc23.i686
device-mapper-libs-0:1.02.102-2.fc23.i686
device-mapper-libs-0:1.02.107-1.fc23.i686
device-mapper-multipath-0:0.4.9-79.fc23.i686
device-mapper-multipath-0:0.4.9-80.fc23.i686
device-mapper-multipath-libs-0:0.4.9-79.fc23.i686
device-mapper-multipath-libs-0:0.4.9-80.fc23.i686
device-mapper-persistent-data-0:0.5.3-3.fc23.i686
device-mapper-persistent-data-0:0.5.5-1.fc23.i686
dosfstools-0:3.0.27-2.fc23.i686
dosfstools-0:3.0.28-1.fc23.i686
emacs-filesystem-1:24.5-5.fc23.noarch
emacs-filesystem-1:24.5-6.fc23.noarch
enca-0:1.15-4.fc23.i686
enca-0:1.16-1.fc23.i686
evince-0:3.17.4-1.fc23.i686
evince-0:3.18.0-1.fc23.i686
evince-browser-plugin-0:3.17.4-1.fc23.i686
evince-browser-plugin-0:3.18.0-1.fc23.i686
evince-libs-0:3.17.4-1.fc23.i686
evince-libs-0:3.18.0-1.fc23.i686
evolution-0:3.17.91-1.fc23.i686
evolution-0:3.18.0-1.fc23.i686
evolution-data-server-0:3.17.91-1.fc23.i686
evolution-data-server-0:3.18.0-1.fc23.i686
evolution-help-0:3.17.91-1.fc23.noarch
evolution-help-0:3.18.0-1.fc23.noarch
filesystem-0:3.2-34.fc23.i686
filesystem-0:3.2-35.fc23.i686
foomatic-db-0:4.0-46.20150415.fc23.noarch
foomatic-db-0:4.0-47.20150819.fc23.noarch
foomatic-db-filesystem-0:4.0-46.20150415.fc23.noarch
foomatic-db-filesystem-0:4.0-47.20150819.fc23.noarch
foomatic-db-ppds-0:4.0-46.20150415.fc23.noarch
foomatic-db-ppds-0:4.0-47.20150819.fc23.noarch
fpaste-0:0.3.8.0-1.fc23.noarch
fpaste-0:0.3.8.0-2.fc23.noarch
fwupd-0:0.1.5-3.fc23.i686
fwupd-0:0.5.1-1.fc23.i686
gcr-0:3.16.0-2.fc23.i686
gcr-0:3.18.0-1.fc23.i686
gdb-0:7.10-17.fc23.i686
gdb-0:7.10-18.fc23.i686
gdb-0:7.10-23.fc23.i686
gdk-pixbuf2-0:2.31.7-1.fc23.i686
gdk-pixbuf2-0:2.32.1-1.fc23.i686
gdk-pixbuf2-modules-0:2.31.7-1.fc23.i686
gdk-pixbuf2-modules-0:2.32.1-1.fc23.i686
gdm-1:3.17.90-1.fc23.i686
gdm-1:3.18.0-1.fc23.i686
geocode-glib-0:3.17.90-1.fc23.i686
geocode-glib-0:3.18.0-1.fc23.i686
gettext-0:0.19.5.1-2.fc23.i686
gettext-0:0.19.6-1.fc23.i686
gettext-libs-0:0.19.5.1-2.fc23.i686
gettext-libs-0:0.19.6-1.fc23.i686
giflib-0:4.1.6-13.fc23.i686
giflib-0:4.1.6-14.fc23.i686
glib-networking-0:2.45.1-2.fc23.i686
glib-networking-0:2.46.0-1.fc23.i686
glib2-0:2.45.7-1.fc23.i686
glib2-0:2.46.0-1.fc23.i686
glibc-0:2.22-2.fc23.i686
glibc-0:2.22-3.fc23.i686
glibc-common-0:2.22-2.fc23.i686
glibc-common-0:2.22-3.fc23.i686
glibc-devel-0:2.22-2.fc23.i686
glibc-devel-0:2.22-3.fc23.i686
glibc-headers-0:2.22-2.fc23.i686
glibc-headers-0:2.22-3.fc23.i686
glibmm24-0:2.45.3-1.fc23.i686
glibmm24-0:2.46.1-1.fc23.i686
gmp-1:6.0.0-11.fc23.i686
gmp-1:6.0.0-12.fc23.i686
gnome-backgrounds-0:3.17.3-1.fc23.noarch
gnome-backgrounds-0:3.18.0-1.fc23.noarch
gnome-bluetooth-1:3.17.90-2.fc23.i686
gnome-bluetooth-1:3.18.0-1.fc23.i686
gnome-bluetooth-libs-1:3.17.90-2.fc23.i686
gnome-bluetooth-libs-1:3.18.0-1.fc23.i686
gnome-calculator-0:3.17.3-1.fc23.i686
gnome-calculator-0:3.18.0-1.fc23.i686
gnome-classic-session-0:3.17.91-1.fc23.noarch
gnome-classic-session-0:3.18.0-1.fc23.noarch
gnome-color-manager-0:3.17.90-1.fc23.i686
gnome-color-manager-0:3.18.0-1.fc23.i686
gnome-desktop3-0:3.17.91-1.fc23.i686
gnome-desktop3-0:3.18.0-1.fc23.i686
gnome-disk-utility-0:3.17.91-1.fc23.i686
gnome-disk-utility-0:3.18.0-1.fc23.i686
gnome-documents-0:3.17.90-1.fc23.i686
gnome-documents-0:3.18.0.1-1.fc23.i686
gnome-documents-libs-0:3.17.90-1.fc23.i686
gnome-documents-libs-0:3.18.0.1-1.fc23.i686
gnome-getting-started-docs-0:3.16.2-2.fc23.noarch
gnome-getting-started-docs-0:3.18.0-1.fc23.noarch
gnome-keyring-0:3.16.0-2.fc23.i686
gnome-keyring-0:3.18.0-1.fc23.i686
gnome-keyring-pam-0:3.16.0-2.fc23.i686
gnome-keyring-pam-0:3.18.0-1.fc23.i686
gnome-online-accounts-0:3.17.91-1.fc23.i686
gnome-online-accounts-0:3.18.0-1.fc23.i686
gnome-screenshot-0:3.16.2-2.fc23.i686
gnome-screenshot-0:3.18.0-1.fc23.i686
gnome-session-0:3.16.0-3.fc23.i686
gnome-session-0:3.18.0-1.fc23.i686
gnome-session-wayland-session-0:3.16.0-3.fc23.i686
gnome-session-wayland-session-0:3.18.0-1.fc23.i686
gnome-session-xsession-0:3.16.0-3.fc23.i686
gnome-session-xsession-0:3.18.0-1.fc23.i686
gnome-settings-daemon-0:3.17.90-1.fc23.i686
gnome-settings-daemon-0:3.18.0-1.fc23.i686
gnome-shell-0:3.17.91-1.fc23.i686
gnome-shell-0:3.18.0-1.fc23.i686
gnome-shell-extension-alternate-tab-0:3.17.91-1.fc23.noarch
gnome-shell-extension-alternate-tab-0:3.18.0-1.fc23.noarch
gnome-shell-extension-apps-menu-0:3.17.91-1.fc23.noarch
gnome-shell-extension-apps-menu-0:3.18.0-1.fc23.noarch
gnome-shell-extension-background-logo-0:3.17.91-1.fc23.noarch
gnome-shell-extension-background-logo-0:3.18.0-1.fc23.noarch
gnome-shell-extension-common-0:3.17.91-1.fc23.noarch
gnome-shell-extension-common-0:3.18.0-1.fc23.noarch
gnome-shell-extension-launch-new-instance-0:3.17.91-1.fc23.noarch
gnome-shell-extension-launch-new-instance-0:3.18.0-1.fc23.noarch
gnome-shell-extension-places-menu-0:3.17.91-1.fc23.noarch
gnome-shell-extension-places-menu-0:3.18.0-1.fc23.noarch
gnome-shell-extension-user-theme-0:3.17.91-1.fc23.noarch
gnome-shell-extension-user-theme-0:3.18.0-1.fc23.noarch
gnome-shell-extension-window-list-0:3.17.91-1.fc23.noarch
gnome-shell-extension-window-list-0:3.18.0-1.fc23.noarch
gnome-themes-standard-0:3.16.2-2.fc23.i686
gnome-themes-standard-0:3.18.0-1.fc23.i686
gnome-tweak-tool-0:3.17.90-1.fc23.noarch
gnome-tweak-tool-0:3.18.0-1.fc23.noarch
gnome-user-docs-0:3.16.1-2.fc23.noarch
gnome-user-docs-0:3.18.0-1.fc23.noarch
gnome-user-share-0:3.17.90-1.fc23.i686
gnome-user-share-0:3.18.0-1.fc23.i686
gnome-weather-0:3.17.1-1.fc23.noarch
gnome-weather-0:3.18.0-1.fc23.noarch
go-srpm-macros-0:2-1.fc23.noarch
go-srpm-macros-0:2-3.fc23.noarch
gobject-introspection-0:1.45.4-1.fc23.i686
gobject-introspection-0:1.46.0-1.fc23.i686
google-chrome-unstable-0:47.0.2503.0-1.i386
google-chrome-unstable-0:47.0.2522.1-1.i386
grilo-0:0.2.12-2.fc23.i686
grilo-0:0.2.15-1.fc23.i686
gsettings-desktop-schemas-0:3.16.1-2.fc23.i686
gsettings-desktop-schemas-0:3.18.0-1.fc23.i686
gstreamer1-0:1.5.90-1.fc23.i686
gstreamer1-0:1.6.0-2.fc23.i686
gstreamer1-plugins-base-0:1.5.90-1.fc23.i686
gstreamer1-plugins-base-0:1.6.0-1.fc23.i686
gtk-update-icon-cache-0:3.17.8-1.fc23.i686
gtk-update-icon-cache-0:3.17.8-2.fc23.i686
gtk-update-icon-cache-0:3.18.0-1.fc23.i686
gtk3-0:3.17.8-2.fc23.i686
gtk3-0:3.18.0-1.fc23.i686
gtksourceview3-0:3.17.6-1.fc23.i686
gtksourceview3-0:3.18.0-1.fc23.i686
gucharmap-0:3.17.90-1.fc23.i686
gucharmap-0:3.18.0-1.fc23.i686
gvfs-0:1.25.91-1.fc23.i686
gvfs-0:1.26.0-1.fc23.i686
gvfs-afc-0:1.25.91-1.fc23.i686
gvfs-afc-0:1.26.0-1.fc23.i686
gvfs-afp-0:1.25.91-1.fc23.i686
gvfs-afp-0:1.26.0-1.fc23.i686
gvfs-archive-0:1.25.91-1.fc23.i686
gvfs-archive-0:1.26.0-1.fc23.i686
gvfs-client-0:1.25.91-1.fc23.i686
gvfs-client-0:1.26.0-1.fc23.i686
gvfs-fuse-0:1.25.91-1.fc23.i686
gvfs-fuse-0:1.26.0-1.fc23.i686
gvfs-goa-0:1.25.91-1.fc23.i686
gvfs-goa-0:1.26.0-1.fc23.i686
gvfs-gphoto2-0:1.25.91-1.fc23.i686
gvfs-gphoto2-0:1.26.0-1.fc23.i686
gvfs-mtp-0:1.25.91-1.fc23.i686
gvfs-mtp-0:1.26.0-1.fc23.i686
gvfs-smb-0:1.25.91-1.fc23.i686
gvfs-smb-0:1.26.0-1.fc23.i686
hplip-0:3.15.7-5.fc23.i686
hplip-0:3.15.9-2.fc23.i686
hplip-common-0:3.15.7-5.fc23.i686
hplip-common-0:3.15.9-2.fc23.i686
hplip-libs-0:3.15.7-5.fc23.i686
hplip-libs-0:3.15.9-2.fc23.i686
hunspell-0:1.3.3-7.fc23.i686
hunspell-0:1.3.3-8.fc23.i686
ibus-libzhuyin-0:1.7.4-1.fc23.i686
ibus-libzhuyin-0:1.7.4-2.fc23.i686
ibus-typing-booster-0:1.2.12-1.fc23.noarch
ibus-typing-booster-0:1.2.13-1.fc23.noarch
intel-gpu-tools-0:2.99.917-15.20150729.fc23.i686
intel-gpu-tools-0:2.99.917-16.20150729.fc23.i686
iproute-0:4.1.1-1.fc23.i686
iproute-0:4.1.1-2.fc23.i686
jwhois-0:4.0-42.fc23.i686
jwhois-0:4.0-43.fc23.i686
kernel-core-0:4.2.0-1.fc23.i686
kernel-core-0:4.2.0-300.fc23.i686
kernel-core-0:4.2.1-300.fc23.i686
kernel-debug-0:4.2.0-300.fc23.i686
kernel-debug-0:4.2.1-300.fc23.i686
kernel-debug-core-0:4.2.0-1.fc23.i686
kernel-debug-core-0:4.2.0-300.fc23.i686
kernel-debug-core-0:4.2.1-300.fc23.i686
kernel-debug-modules-0:4.2.0-1.fc23.i686
kernel-debug-modules-0:4.2.0-300.fc23.i686
kernel-debug-modules-0:4.2.1-300.fc23.i686
kernel-headers-0:4.2.0-300.fc23.i686
kernel-headers-0:4.2.1-300.fc23.i686
kernel-modules-0:4.2.0-1.fc23.i686
kernel-modules-0:4.2.0-300.fc23.i686
kernel-modules-0:4.2.1-300.fc23.i686
keyutils-0:1.5.9-6.fc23.i686
keyutils-0:1.5.9-7.fc23.i686
keyutils-libs-0:1.5.9-6.fc23.i686
keyutils-libs-0:1.5.9-7.fc23.i686
kpartx-0:0.4.9-79.fc23.i686
kpartx-0:0.4.9-80.fc23.i686
krb5-libs-0:1.13.2-10.fc23.i686
krb5-libs-0:1.13.2-7.fc23.i686
libappstream-glib-0:0.5.0-2.fc23.i686
libappstream-glib-0:0.5.1-1.fc23.i686
libattr-0:2.4.47-12.fc23.i686
libattr-0:2.4.47-14.fc23.i686
libcacard-2:2.4.0-2.fc23.i686
libcacard-2:2.4.0-4.fc23.i686
libchamplain-0:0.12.10-2.fc23.i686
libchamplain-0:0.12.11-1.fc23.i686
libchamplain-gtk-0:0.12.10-2.fc23.i686
libchamplain-gtk-0:0.12.11-1.fc23.i686
libcurl-0:7.43.0-3.fc23.i686
libcurl-0:7.43.0-4.fc23.i686
libdrm-0:2.4.64-1.fc23.i686
libdrm-0:2.4.65-1.fc23.i686
libgcrypt-0:1.6.3-5.fc23.i686
libgcrypt-0:1.6.4-1.fc23.i686
libgdata-0:0.17.2-1.fc23.i686
libgdata-0:0.17.3-1.fc23.i686
libgtop2-0:2.31.90-1.fc23.i686
libgtop2-0:2.32.0-1.fc23.i686
libgusb-0:0.2.6-1.fc23.i686
libgusb-0:0.2.7-1.fc23.i686
libgweather-0:3.17.2-1.fc23.i686
libgweather-0:3.18.0-1.fc23.i686
libicu-0:54.1-1.fc22.i686
libicu-0:54.1-5.fc23.i686
libinput-0:1.0.1-2.fc23.i686
libinput-0:1.0.1-3.fc23.i686
libipa_hbac-0:1.13.0-4.fc23.i686
libipa_hbac-0:1.13.0-6.fc23.i686
libipa_hbac-0:1.13.0-7.fc23.i686
libldb-0:1.1.20-2.fc23.i686
libldb-0:1.1.21-1.fc23.i686
libnghttp2-0:1.3.1-1.fc23.i686
libnghttp2-0:1.3.3-1.fc23.i686
libnl3-0:3.2.26-5.fc23.i686
libnl3-0:3.2.27-0.1.fc23.i686
libnl3-cli-0:3.2.26-5.fc23.i686
libnl3-cli-0:3.2.27-0.1.fc23.i686
libpeas-0:1.15.0-3.fc23.i686
libpeas-0:1.16.0-1.fc23.i686
libpeas-loader-python3-0:1.15.0-3.fc23.i686
libpeas-loader-python3-0:1.16.0-1.fc23.i686
libreport-0:2.6.2-4.fc23.i686
libreport-0:2.6.2-5.fc23.i686
libreport-anaconda-0:2.6.2-4.fc23.i686
libreport-anaconda-0:2.6.2-5.fc23.i686
libreport-cli-0:2.6.2-4.fc23.i686
libreport-cli-0:2.6.2-5.fc23.i686
libreport-fedora-0:2.6.2-4.fc23.i686
libreport-fedora-0:2.6.2-5.fc23.i686
libreport-filesystem-0:2.6.2-4.fc23.i686
libreport-filesystem-0:2.6.2-5.fc23.i686
libreport-plugin-bugzilla-0:2.6.2-4.fc23.i686
libreport-plugin-bugzilla-0:2.6.2-5.fc23.i686
libreport-plugin-kerneloops-0:2.6.2-4.fc23.i686
libreport-plugin-kerneloops-0:2.6.2-5.fc23.i686
libreport-plugin-logger-0:2.6.2-4.fc23.i686
libreport-plugin-logger-0:2.6.2-5.fc23.i686
libreport-plugin-reportuploader-0:2.6.2-4.fc23.i686
libreport-plugin-reportuploader-0:2.6.2-5.fc23.i686
libreport-plugin-ureport-0:2.6.2-4.fc23.i686
libreport-plugin-ureport-0:2.6.2-5.fc23.i686
libreport-python-0:2.6.2-4.fc23.i686
libreport-python-0:2.6.2-5.fc23.i686
libreport-python3-0:2.6.2-4.fc23.i686
libreport-python3-0:2.6.2-5.fc23.i686
libreport-web-0:2.6.2-4.fc23.i686
libreport-web-0:2.6.2-5.fc23.i686
libsane-hpaio-0:3.15.7-5.fc23.i686
libsane-hpaio-0:3.15.9-2.fc23.i686
libsecret-0:0.18.2-2.fc23.i686
libsecret-0:0.18.3-1.fc23.i686
libsigc++20-0:2.4.1-3.fc23.i686
libsigc++20-0:2.6.1-1.fc23.i686
libsoup-0:2.51.90-1.fc23.i686
libsoup-0:2.52.0-1.fc23.i686
libsss_idmap-0:1.13.0-4.fc23.i686
libsss_idmap-0:1.13.0-6.fc23.i686
libsss_idmap-0:1.13.0-7.fc23.i686
libsss_nss_idmap-0:1.13.0-4.fc23.i686
libsss_nss_idmap-0:1.13.0-6.fc23.i686
libsss_nss_idmap-0:1.13.0-7.fc23.i686
libusbx-0:1.0.19-3.fc23.i686
libusbx-0:1.0.20-1.fc23.i686
libva-0:1.6.0-1.fc23.i686
libva-0:1.6.1-1.fc23.i686
libvirt-client-0:1.2.18-1.fc23.i686
libvirt-client-0:1.2.18.1-1.fc23.i686
libvirt-daemon-0:1.2.18-1.fc23.i686
libvirt-daemon-0:1.2.18.1-1.fc23.i686
libvirt-daemon-config-network-0:1.2.18-1.fc23.i686
libvirt-daemon-config-network-0:1.2.18.1-1.fc23.i686
libvirt-daemon-driver-interface-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-interface-0:1.2.18.1-1.fc23.i686
libvirt-daemon-driver-network-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-network-0:1.2.18.1-1.fc23.i686
libvirt-daemon-driver-nodedev-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-nodedev-0:1.2.18.1-1.fc23.i686
libvirt-daemon-driver-nwfilter-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-nwfilter-0:1.2.18.1-1.fc23.i686
libvirt-daemon-driver-qemu-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-qemu-0:1.2.18.1-1.fc23.i686
libvirt-daemon-driver-secret-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-secret-0:1.2.18.1-1.fc23.i686
libvirt-daemon-driver-storage-0:1.2.18-1.fc23.i686
libvirt-daemon-driver-storage-0:1.2.18.1-1.fc23.i686
libvirt-daemon-kvm-0:1.2.18-1.fc23.i686
libvirt-daemon-kvm-0:1.2.18.1-1.fc23.i686
libvpx-0:1.4.0-4.fc23.i686
libvpx-0:1.4.0-5.fc23.i686
libwayland-client-0:1.8.92-1.fc23.i686
libwayland-client-0:1.9.0-1.fc23.i686
libwayland-cursor-0:1.8.92-1.fc23.i686
libwayland-cursor-0:1.9.0-1.fc23.i686
libwayland-server-0:1.8.92-1.fc23.i686
libwayland-server-0:1.9.0-1.fc23.i686
llvm-libs-0:3.6.1-1.fc23.i686
llvm-libs-0:3.7.0-1.fc23.i686
lua-json-0:1.3.2-4.fc23.noarch
lua-json-0:1.3.2-5.fc23.noarch
lzo-0:2.08-4.fc23.i686
lzo-0:2.08-5.fc23.i686
mailcap-0:2.1.44-2.fc23.noarch
mailcap-0:2.1.45-1.fc23.noarch
man-db-0:2.7.1-10.fc23.i686
man-db-0:2.7.1-9.fc23.i686
mesa-dri-drivers-0:11.0.0-0.rc2.2.20150902.fc23.i686
mesa-dri-drivers-0:11.0.0-2.20150913.fc23.i686
mesa-filesystem-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-filesystem-0:11.0.0-0.rc2.2.20150902.fc23.i686
mesa-filesystem-0:11.0.0-2.20150913.fc23.i686
mesa-libEGL-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-libEGL-0:11.0.0-0.rc2.2.20150902.fc23.i686
mesa-libEGL-0:11.0.0-2.20150913.fc23.i686
mesa-libGL-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-libGL-0:11.0.0-0.rc2.2.20150902.fc23.i686
mesa-libGL-0:11.0.0-2.20150913.fc23.i686
mesa-libGLES-0:11.0.0-0.rc2.2.20150902.fc23.i686
mesa-libGLES-0:11.0.0-2.20150913.fc23.i686
mesa-libOSMesa-0:11.0.0-0.rc2.2.20150902.fc23.i686
mesa-libOSMesa-0:11.0.0-2.20150913.fc23.i686
mesa-libgbm-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-libgbm-0:11.0.0-0.rc2.2.20150902.fc23.i686
mesa-libgbm-0:11.0.0-2.20150913.fc23.i686
mesa-libglapi-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-libglapi-0:11.0.0-0.rc2.2.20150902.fc23.i686
mesa-libglapi-0:11.0.0-2.20150913.fc23.i686
mesa-libwayland-egl-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-libwayland-egl-0:11.0.0-0.rc2.2.20150902.fc23.i686
mesa-libwayland-egl-0:11.0.0-2.20150913.fc23.i686
mesa-libxatracker-0:11.0.0-0.rc1.1.20150824.fc23.i686
mesa-libxatracker-0:11.0.0-0.rc2.2.20150902.fc23.i686
mesa-libxatracker-0:11.0.0-2.20150913.fc23.i686
mutter-0:3.17.91-1.fc23.i686
mutter-0:3.18.0-1.fc23.i686
nautilus-0:3.17.91-1.fc23.i686
nautilus-0:3.18.0-1.fc23.i686
nautilus-extensions-0:3.17.91-1.fc23.i686
nautilus-extensions-0:3.18.0-1.fc23.i686
net-tools-0:2.0-0.34.20150715git.fc23.i686
net-tools-0:2.0-0.35.20150915git.fc23.i686
nginx-1:1.8.0-11.fc23.i686
nginx-1:1.8.0-13.fc23.i686
nginx-filesystem-1:1.8.0-11.fc23.noarch
nginx-filesystem-1:1.8.0-13.fc23.noarch
openjpeg2-0:2.1.0-5.fc23.i686
openjpeg2-0:2.1.0-6.fc23.i686
openoffice.org-diafilter-0:1.7.3-5.fc23.i686
openoffice.org-diafilter-0:1.7.4-1.fc23.i686
openssh-0:7.1p1-1.fc23.i686
openssh-0:7.1p1-2.fc23.i686
openssh-0:7.1p1-3.fc23.i686
openssh-askpass-0:7.1p1-2.fc23.i686
openssh-askpass-0:7.1p1-3.fc23.i686
openssh-clients-0:7.1p1-2.fc23.i686
openssh-clients-0:7.1p1-3.fc23.i686
openssh-server-0:7.1p1-2.fc23.i686
openssh-server-0:7.1p1-3.fc23.i686
orca-0:3.17.91-1.fc23.noarch
orca-0:3.18.0-1.fc23.noarch
pango-0:1.37.4-1.fc23.i686
pango-0:1.38.0-1.fc23.i686
pangomm-0:2.36.0-3.fc23.i686
pangomm-0:2.38.1-1.fc23.i686
perl-Encode-3:2.76-2.fc23.i686
perl-Encode-3:2.78-2.fc23.i686
perl-HTTP-Message-0:6.10-1.fc23.noarch
perl-HTTP-Message-0:6.11-1.fc23.noarch
perl-IO-Socket-SSL-0:2.016-3.fc23.noarch
perl-IO-Socket-SSL-0:2.019-1.fc23.noarch
perl-Module-CoreList-1:5.20150820-1.fc23.noarch
perl-Module-CoreList-1:5.20150912-1.fc23.noarch
perl-Module-CoreList-1:5.20150920-1.fc23.noarch
perl-Net-SSLeay-0:1.70-1.fc23.i686
perl-Net-SSLeay-0:1.71-1.fc23.i686
php-pecl-jsonc-0:1.3.8-1.fc23.i686
php-pecl-jsonc-0:1.3.9-1.fc23.i686
php-pecl-jsonc-devel-0:1.3.8-1.fc23.i686
php-pecl-jsonc-devel-0:1.3.9-1.fc23.i686
php-pecl-zip-0:1.13.0-1.fc23.i686
php-pecl-zip-0:1.13.1-1.fc23.i686
pinentry-0:0.9.5-1.fc23.i686
pinentry-0:0.9.6-1.fc23.i686
pkcs11-helper-0:1.11-6.fc23.i686
pkcs11-helper-0:1.11-7.fc23.i686
postgresql-libs-0:9.4.4-3.fc23.i686
postgresql-libs-0:9.4.4-4.fc23.i686
procps-ng-0:3.3.10-8.fc23.i686
procps-ng-0:3.3.10-9.fc23.i686
pulseaudio-0:6.0-8.fc23.i686
pulseaudio-0:7.0-1.fc23.i686
pulseaudio-gdm-hooks-0:6.0-8.fc23.i686
pulseaudio-gdm-hooks-0:7.0-1.fc23.i686
pulseaudio-libs-0:6.0-8.fc23.i686
pulseaudio-libs-0:7.0-1.fc23.i686
pulseaudio-libs-glib2-0:6.0-8.fc23.i686
pulseaudio-libs-glib2-0:7.0-1.fc23.i686
pulseaudio-module-bluetooth-0:6.0-8.fc23.i686
pulseaudio-module-bluetooth-0:7.0-1.fc23.i686
pulseaudio-module-x11-0:6.0-8.fc23.i686
pulseaudio-module-x11-0:7.0-1.fc23.i686
pulseaudio-utils-0:6.0-8.fc23.i686
pulseaudio-utils-0:7.0-1.fc23.i686
python-gobject-0:3.17.90-2.fc23.i686
python-gobject-0:3.18.0-1.fc23.i686
python-gobject-base-0:3.17.90-2.fc23.i686
python-gobject-base-0:3.18.0-1.fc23.i686
python-slip-0:0.6.3-1.fc23.noarch
python-slip-0:0.6.4-1.fc23.noarch
python-slip-dbus-0:0.6.3-1.fc23.noarch
python-slip-dbus-0:0.6.4-1.fc23.noarch
python3-blivet-1:1.12.3-1.fc23.noarch
python3-blivet-1:1.12.5-1.fc23.noarch
python3-coverage-0:4.0-0.11.b2.fc23.i686
python3-coverage-0:4.0-0.12.b3.fc23.i686
python3-coverage-0:4.0-1.fc23.i686
python3-gobject-0:3.17.90-2.fc23.i686
python3-gobject-0:3.18.0-1.fc23.i686
python3-gobject-base-0:3.17.90-2.fc23.i686
python3-gobject-base-0:3.18.0-1.fc23.i686
python3-pyatspi-0:2.17.90-1.fc23.noarch
python3-pyatspi-0:2.18.0-1.fc23.noarch
python3-pyudev-0:0.16.1-4.fc23.noarch
python3-pyudev-0:0.17-2.fc23.noarch
python3-requests-0:2.7.0-2.fc23.noarch
python3-requests-0:2.7.0-6.fc23.noarch
python3-requests-file-0:1.3.1-2.fc23.noarch
python3-requests-file-0:1.4-1.fc23.noarch
python3-requests-ftp-0:0.3.0-2.fc23.noarch
python3-requests-ftp-0:0.3.1-1.fc23.noarch
python3-slip-0:0.6.3-1.fc23.noarch
python3-slip-0:0.6.4-1.fc23.noarch
python3-slip-dbus-0:0.6.3-1.fc23.noarch
python3-slip-dbus-0:0.6.4-1.fc23.noarch
python3-sssdconfig-0:1.13.0-4.fc23.noarch
python3-sssdconfig-0:1.13.0-6.fc23.noarch
python3-sssdconfig-0:1.13.0-7.fc23.noarch
python3-urllib3-0:1.10.4-4.20150503gita91975b.fc23.noarch
python3-urllib3-0:1.10.4-5.20150503gita91975b.fc23.noarch
qemu-common-2:2.4.0-2.fc23.i686
qemu-common-2:2.4.0-4.fc23.i686
qemu-guest-agent-2:2.4.0-2.fc23.i686
qemu-guest-agent-2:2.4.0-4.fc23.i686
qemu-img-2:2.4.0-2.fc23.i686
qemu-img-2:2.4.0-4.fc23.i686
qemu-kvm-2:2.4.0-2.fc23.i686
qemu-kvm-2:2.4.0-4.fc23.i686
qemu-system-x86-2:2.4.0-2.fc23.i686
qemu-system-x86-2:2.4.0-4.fc23.i686
qt-settings-0:23-3.fc23.noarch
qt-settings-0:23-4.fc23.noarch
rygel-0:0.27.5-1.fc23.i686
rygel-0:0.28.0-1.fc23.i686
satyr-0:0.19-2.fc23.i686
satyr-0:0.20-1.fc23.i686
selinux-policy-0:3.13.1-146.fc23.noarch
selinux-policy-0:3.13.1-147.fc23.noarch
shared-mime-info-0:1.4-6.fc23.i686
shared-mime-info-0:1.5-2.fc23.i686
sqlite-0:3.8.11-1.fc23.i686
sqlite-0:3.8.11.1-1.fc23.i686
sssd-0:1.13.0-6.fc23.i686
sssd-0:1.13.0-7.fc23.i686
sssd-ad-0:1.13.0-6.fc23.i686
sssd-ad-0:1.13.0-7.fc23.i686
sssd-client-0:1.13.0-6.fc23.i686
sssd-client-0:1.13.0-7.fc23.i686
sssd-common-0:1.13.0-6.fc23.i686
sssd-common-0:1.13.0-7.fc23.i686
sssd-common-pac-0:1.13.0-6.fc23.i686
sssd-common-pac-0:1.13.0-7.fc23.i686
sssd-ipa-0:1.13.0-6.fc23.i686
sssd-ipa-0:1.13.0-7.fc23.i686
sssd-krb5-0:1.13.0-6.fc23.i686
sssd-krb5-0:1.13.0-7.fc23.i686
sssd-krb5-common-0:1.13.0-6.fc23.i686
sssd-krb5-common-0:1.13.0-7.fc23.i686
sssd-ldap-0:1.13.0-6.fc23.i686
sssd-ldap-0:1.13.0-7.fc23.i686
sssd-proxy-0:1.13.0-6.fc23.i686
sssd-proxy-0:1.13.0-7.fc23.i686
systemd-0:222-2.fc23.i686
systemd-0:222-6.fc23.i686
systemd-compat-libs-0:222-2.fc23.i686
systemd-compat-libs-0:222-6.fc23.i686
systemd-libs-0:222-2.fc23.i686
systemd-libs-0:222-6.fc23.i686
tigervnc-license-0:1.5.0-2.fc23.noarch
tigervnc-license-0:1.5.0-3.fc23.noarch
tigervnc-server-minimal-0:1.5.0-2.fc23.i686
tigervnc-server-minimal-0:1.5.0-3.fc23.i686
tracker-0:1.5.2-2.fc23.i686
tracker-0:1.6.0-1.fc23.i686
uboot-tools-0:2015.07-4.fc23.i686
uboot-tools-0:2015.07-5.fc23.i686
unzip-0:6.0-22.fc23.i686
unzip-0:6.0-23.fc23.i686
vino-0:3.17.91-1.fc23.i686
vino-0:3.18.0-1.fc23.i686
vte-profile-0:0.40.2-2.fc23.i686
vte-profile-0:0.42.0-1.fc23.i686
vte291-0:0.40.2-2.fc23.i686
vte291-0:0.42.0-1.fc23.i686
webkitgtk4-0:2.10.0-1.fc23.i686
webkitgtk4-0:2.9.91-1.fc23.i686
xdg-user-dirs-0:0.15-6.fc23.i686
xdg-user-dirs-0:0.15-7.fc23.i686
xen-libs-0:4.5.1-6.fc23.i686
xen-libs-0:4.5.1-9.fc23.i686
xen-licenses-0:4.5.1-6.fc23.i686
xen-licenses-0:4.5.1-9.fc23.i686
xorg-x11-drv-ati-0:7.6.0-0.1.20150709git95f5d09.fc23.i686
xorg-x11-drv-ati-0:7.6.0-0.4.20150729git5510cd6.fc23.i686
xorg-x11-drv-evdev-0:2.9.2-2.fc23.i686
xorg-x11-drv-evdev-0:2.9.99-2.20150807git66c997886.fc23.i686
xorg-x11-drv-fbdev-0:0.4.3-22.fc23.i686
xorg-x11-drv-fbdev-0:0.4.3-23.fc23.i686
xorg-x11-drv-geode-0:2.11.17-3.fc23.i686
xorg-x11-drv-geode-0:2.11.17-4.fc23.i686
xorg-x11-drv-intel-0:2.99.917-15.20150729.fc23.i686
xorg-x11-drv-intel-0:2.99.917-16.20150729.fc23.i686
xorg-x11-drv-libinput-0:0.14.0-1.fc23.i686
xorg-x11-drv-libinput-0:0.14.0-2.fc23.i686
xorg-x11-drv-nouveau-1:1.0.11-4.fc23.i686
xorg-x11-drv-nouveau-1:1.0.12-0.2.fc23.i686
xorg-x11-drv-openchrome-0:0.3.3-16.fc23.i686
xorg-x11-drv-openchrome-0:0.3.3-17.fc23.i686
xorg-x11-drv-qxl-0:0.1.4-3.fc23.i686
xorg-x11-drv-qxl-0:0.1.4-6.fc23.i686
xorg-x11-drv-synaptics-0:1.8.2-3.fc23.i686
xorg-x11-drv-synaptics-0:1.8.2-4.fc23.i686
xorg-x11-drv-vesa-0:2.3.2-22.fc23.i686
xorg-x11-drv-vesa-0:2.3.2-23.fc23.i686
xorg-x11-drv-vmmouse-0:13.1.0-1.fc23.i686
xorg-x11-drv-vmmouse-0:13.1.0-2.fc23.i686
xorg-x11-drv-vmware-0:13.0.2-10.20150211git8f0cf7c.fc23.i686
xorg-x11-drv-vmware-0:13.0.2-9.20150211git8f0cf7c.fc23.i686
xorg-x11-drv-wacom-0:0.30.0-2.fc23.i686
xorg-x11-drv-wacom-0:0.30.0-3.fc23.i686
xorg-x11-server-Xorg-0:1.17.2-2.fc23.i686
xorg-x11-server-Xorg-0:1.18.0-0.4.20150907.fc23.i686
xorg-x11-server-Xwayland-0:1.17.2-2.fc23.i686
xorg-x11-server-Xwayland-0:1.18.0-0.4.20150907.fc23.i686
xorg-x11-server-common-0:1.17.2-2.fc23.i686
xorg-x11-server-common-0:1.18.0-0.4.20150907.fc23.i686
yelp-1:3.17.91-1.fc23.i686
yelp-1:3.18.0-1.fc23.i686
yelp-libs-1:3.17.91-1.fc23.i686
yelp-libs-1:3.18.0-1.fc23.i686
yelp-xsl-0:3.17.90-1.fc23.noarch
yelp-xsl-0:3.18.0-1.fc23.noarch
zenity-0:3.16.3-1.fc23.i686
zenity-0:3.18.0-1.fc23.i686
Comment 13 Mikhail 2015-10-01 05:11:35 EDT
# dnf remove $(dnf repoquery --duplicated --latest-limit -1 -q | grep -vF kernel)
Dependencies resolved.
Error: The operation would result in removing the following protected packages: systemd.
Comment 14 Honza Silhan 2015-10-19 08:57:49 EDT
The problem is in unfinished rpm transaction and so having duplicate packages on the system. Again, users would like to have rpm transaction atomic.
Comment 15 Panu Matilainen 2016-10-12 08:10:16 EDT
There's no telling what the original cause here was. Clearly there is an aborted transaction which should not happen but a crash which aborted it could've been  anywhere in the related software stack. 

Yes there are known problems with rpm's installation handling and there are plans to improve it (tracked in bug 1174137), but ultimately there's no way to make atomic mass-renames on files on general posixy fs.
Comment 16 Kamil Dudka 2016-10-12 08:50:07 EDT
(In reply to Panu Matilainen from comment #15)
> There's no telling what the original cause here was.

See comment #5.
Comment 17 Panu Matilainen 2016-10-12 09:54:40 EDT
(In reply to Kamil Dudka from comment #16)
> (In reply to Panu Matilainen from comment #15)
> > There's no telling what the original cause here was.
> 
> See comment #5.

Yes, that's one plausible theory. I wouldn't expect dnf to import libraries from rpm progress callbacks though, but it's certainly *possible*. Other possibilities exist as well however.
Comment 18 Mikhail 2017-01-19 10:38:23 EST
# dnf autoremove
Last metadata expiration check: 0:20:25 ago on Thu Jan 19 20:17:46 2017.
Dependencies resolved.
Nothing to do.
Complete!

Note You need to log in before you can comment on or make changes to this bug.